summaryrefslogtreecommitdiffstats
path: root/development/electron
diff options
context:
space:
mode:
Diffstat (limited to 'development/electron')
-rw-r--r--development/electron/README4
-rw-r--r--development/electron/electron.SlackBuild33
-rw-r--r--development/electron/electron.info24
3 files changed, 28 insertions, 33 deletions
diff --git a/development/electron/README b/development/electron/README
index ae026dc2d8..845fbcb752 100644
--- a/development/electron/README
+++ b/development/electron/README
@@ -5,7 +5,9 @@ cross-platform desktop applications with HTML, CSS, and JavaScript.
Electron accomplishes this by combining Chromium and Node.js into a
single runtime, and apps can be packaged for Mac, Windows, and Linux.
-This is electron binary repackaged in Slackware style.
+This is electron binary repackaged in Slackware style. This SlackBuild
+is for version 19 of Electron. The binary for Electron 19 is only
+available for x86_64, arm64 and arm7vl systems.
Optional features
diff --git a/development/electron/electron.SlackBuild b/development/electron/electron.SlackBuild
index 7eca2a8239..4fdae7c433 100644
--- a/development/electron/electron.SlackBuild
+++ b/development/electron/electron.SlackBuild
@@ -1,8 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for electron
# Copyright 2017 Dhaby Xiloj <slack.dhabyx@gmail.com>
+# Copyright 2022-2023 Isaac Yu <isaacyu@protonmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +23,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=electron
-VERSION=${VERSION:-1.4.16}
+VERSION=${VERSION:-20.3.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,16 +39,16 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- PKG_ARCH="ia32"
-elif [ "$ARCH" = "i686" ]; then
- PKG_ARCH="ia32"
-elif [ "$ARCH" = "x86_64" ]; then
+if [ "$ARCH" = "x86_64" ]; then
PKG_ARCH="x64"
else
echo "The package for $(uname -m) architecture is not supported.";
@@ -60,7 +64,6 @@ rm -rf $PRGNAM-$VERSION
mkdir $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
unzip $CWD/$PRGNAM-v$VERSION-linux-$PKG_ARCH.zip
-tar xvf $CWD/node-v$VERSION.tar.gz
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -77,28 +80,26 @@ cp -a *.bin *.pak *.so $PRGNAM icudtl.dat version locales resources \
(
cd $PKG/usr/bin
ln -sf ../share/$PRGNAM/$PRGNAM ${PRGNAM}${VERSION}
- ln -sf ../share/$PRGNAM/$PRGNAM ${PRGNAM}
)
-# Install node headers
-mkdir -p $PKG/usr/share/$PRGNAM/node
-cp -a node-v$VERSION/* $PKG/usr/share/$PRGNAM/node
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Install prebuilt version for build binary apps
if [ "${INSTALL_ZIP:-no}" != no ]; then
mkdir -p $PKG/usr/share/$PRGNAM/release
cp $CWD/$PRGNAM-v$VERSION-linux-$PKG_ARCH.zip $PKG/usr/share/$PRGNAM/release
- cp $CWD/SHASUMS256.txt $PKG/usr/share/$PRGNAM/release
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
- LICENSE LICENSES.chromium.html $CWD/README.Slackware \
+ LICENSE LICENSES.chromium.html \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.Slackware > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/electron/electron.info b/development/electron/electron.info
index 66fb23c5f5..26a6c16d02 100644
--- a/development/electron/electron.info
+++ b/development/electron/electron.info
@@ -1,18 +1,10 @@
PRGNAM="electron"
-VERSION="1.4.16"
-HOMEPAGE="https://electron.atom.io/"
-DOWNLOAD="https://github.com/electron/electron/releases/download/v1.4.16/electron-v1.4.16-linux-ia32.zip \
- https://atom.io/download/atom-shell/v1.4.16/node-v1.4.16.tar.gz \
- https://github.com/electron/electron/releases/download/v1.4.16/SHASUMS256.txt"
-MD5SUM="652fa09cd457f76b315ec5caba4a1c9f \
- 4966fe03ea2e9c6df6e96d2f230084b5 \
- b5e47dfdaeab4029eb5762d93593f390"
-DOWNLOAD_x86_64="https://github.com/electron/electron/releases/download/v1.4.16/electron-v1.4.16-linux-x64.zip \
- https://atom.io/download/atom-shell/v1.4.16/node-v1.4.16.tar.gz \
- https://github.com/electron/electron/releases/download/v1.4.16/SHASUMS256.txt"
-MD5SUM_x86_64="ad3616c2e2f26eeac8acab3108ef0d8b \
- 4966fe03ea2e9c6df6e96d2f230084b5 \
- b5e47dfdaeab4029eb5762d93593f390"
+VERSION="20.3.12"
+HOMEPAGE="https://www.electronjs.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/electron/electron/releases/download/v20.3.12/electron-v20.3.12-linux-x64.zip"
+MD5SUM_x86_64="6d24bae2deab47cacf16ba4ab4ac34e7"
REQUIRES=""
-MAINTAINER="DhabyX"
-EMAIL="slack.dhabyx@gmail.com"
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu@protonmail.com"